import { Component, h } from 'preact';
import { AnnotationSourcesList } from '../components/AnnotationSourcesList';
import classes from './Overview.module.scss';

interface OverviewProps {}

interface OverviewState {}

export class Overview extends Component<OverviewProps, OverviewState> {
  render({}: OverviewProps, {}: OverviewState) {
    return (
      <main class={classes.overview}>
        <h2>Your annotation library</h2>
        <p>Below are the annotation from feeds you are subscribed to, and other annotations you imported to your annotation library.</p>
        <AnnotationSourcesList withAnnotations />
      </main>
    );
  }
}
